package org.eclipse.ecf.example.sc.core.model.preferences;

import java.net.Inet4Address;
import java.net.UnknownHostException;

import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;
import org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer;
import org.eclipse.ecf.example.sc.core.Activator;
import org.eclipse.ecf.example.sc.core.SCUIMessages;
import org.eclipse.jface.preference.IPreferenceStore;


/**
 * Class used to initialize default preference values.
 */
public class PreferenceInitializer extends AbstractPreferenceInitializer {

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer#initializeDefaultPreferences()
	 */
	public void initializeDefaultPreferences() {
		IPreferenceStore store = Activator.getDefault().getPreferenceStore();
		
		store.setDefault(PreferenceConstants.CONTAINER_TYPE, SCUIMessages.getString("sc.container.type"));
		store.setDefault(PreferenceConstants.TARGET_SERVER, SCUIMessages.getString("sc.target.server"));
		store.setDefault(PreferenceConstants.CHANNEL_ID, SCUIMessages.getString("sc.channel.id"));
		try {
			store.setDefault(PreferenceConstants.LOCAL_NAME, Inet4Address.getLocalHost().getHostName());
		} catch (UnknownHostException e) {
//			 TODO Tratar LOG
			Activator.getDefault().getLog().log(new Status(IStatus.ERROR, Activator.PLUGIN_ID, 0, e.getLocalizedMessage(), e));
		}
		
		
		
	}

}
