package org.eclipse.ecf.example.sc.exception;

import java.io.IOException;
import java.net.UnknownHostException;
import java.util.MissingResourceException;

import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;
import org.eclipse.ecf.core.ContainerInstantiationException;
import org.eclipse.ecf.core.identity.IDInstantiationException;
import org.eclipse.ecf.core.util.ECFException;
import org.eclipse.ecf.example.sc.core.Activator;
import org.eclipse.jface.dialogs.ErrorDialog;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.ui.PartInitException;

public class ShareCodeExceptionHandler {
	
	public ShareCodeExceptionHandler(PartInitException e, String plugin_id, String title, String message){
		erroDialog(e, plugin_id, title, message);
	}
	
		
	public ShareCodeExceptionHandler(ContainerInstantiationException e, String plugin_id, String title, String message) {
		erroDialog(e, plugin_id, title, message);
	}


	public ShareCodeExceptionHandler(IDInstantiationException e, String plugin_id, String title, String message) {
		erroDialog(e, plugin_id, title, message);
	}


	public ShareCodeExceptionHandler(ECFException e, String plugin_id, String title, String message) {
		erroDialog(e, plugin_id, title, message);
	}


	public ShareCodeExceptionHandler(UnknownHostException e, String plugin_id, String title, String message) {
		erroDialog(e, plugin_id, title, message);
	}


	public ShareCodeExceptionHandler(ClassNotFoundException e, String plugin_id, String title, String message) {
		erroDialog(e, plugin_id, title, message);
	}


	public ShareCodeExceptionHandler(ShareCodeException e, String plugin_id, String title, String message) {
		erroDialog(e, plugin_id, title, message);
	}


	public ShareCodeExceptionHandler(IOException e, String plugin_id, String title, String message) {
		erroDialog(e, plugin_id, title, message);
	}

	public ShareCodeExceptionHandler(MissingResourceException e, String plugin_id, String title, String message) {
		erroDialog(e, plugin_id, title, message);
	}


	private void erroDialog(Exception e, String plugin_id, String title, String message) {
		Shell shell = Activator.getDefault().getWorkbench().getDisplay().getActiveShell();
		IStatus status = new Status(IStatus.ERROR, plugin_id, 1, e.getMessage(), e );
		ErrorDialog.openError( shell, "Error", message, status );
	}
}
